Fix backwards compat with lgp moving to logilab-packaging

  • Install lgp.py in the debian package
  • Make it import * from lgp so commands can get registered
authorJulien Cristau <julien.cristau@logilab.fr>
changeset845494d8fb61
branchdefault
phasedraft
hiddenno
parent revision#5bed420e8c98 Added tag logilab-devtools-version-0.24.0, logilab-devtools-debian-version-0.24.0-1 for changeset 17078cc48fc0
child revision<not specified>
files modified by this revision
debian/python-logilab-devtools.install
lgp.py
# HG changeset patch
# User Julien Cristau <julien.cristau@logilab.fr>
# Date 1424109819 -3600
# Mon Feb 16 19:03:39 2015 +0100
# Node ID 845494d8fb613f68312836ba516ae6bc378f73cc
# Parent 5bed420e8c98b098494c596239ff7a3b0624c69e
Fix backwards compat with lgp moving to logilab-packaging

- Install lgp.py in the debian package
- Make it import * from lgp so commands can get registered

diff --git a/debian/python-logilab-devtools.install b/debian/python-logilab-devtools.install
@@ -9,6 +9,7 @@
1  bin/nicetests usr/bin/
2  bin/pygrep usr/bin/
3 
4  usr/lib/python*/*/logilab/devtools/__init__.py
5  usr/lib/python*/*/logilab/devtools/__pkginfo__.py
6 +usr/lib/python*/*/logilab/devtools/lgp.py
7  usr/lib/python*/*/logilab/devtools/lib
diff --git a/lgp.py b/lgp.py
@@ -3,8 +3,8 @@
8  from warnings import warn
9 
10  deprecation_msg = '[0.23] logilab.devtools.lgp moved to logilab.packaging.lgp'
11  warn(deprecation_msg, DeprecationWarning)
12 
13 -from logilab.packaging.lgp import LGP
14 +from logilab.packaging.lgp import *
15 
16